function [ output ] = H_complete_jacobian_TRAVEL(f_1,bc_mat,zeta,d,f_0,k_1,nu_1,h,M,s)

% TODO!!!! --> Done, Beschreibung anpassen!

%H_tilde Evaluates the function H at a given vector (zeta,bvec,cvec) for
% - given parameters d and f 
% - a given number M of nodes in the intervall
% - given width h between two nodes
% BEACHTE: Die Vektoren bvec,cvec enthalten nur die Funktionswerte an den
% inneren Sttzstellen x_1,...,x_(M-1)
%
% bc_mat(:,1) gives the vector b of real parts, bc_mat(:,2) gives the
% vector c of imaginary parts
 
output = [ cos(k_1*s) , ...
           nu_1/k_1/(2*h) * (diag(ones(M-1,1),1) + diag(1,-(M-1)) - diag(ones(M-1,1),-1) - diag(1,M-1)) ...
               - diag(1+2*bc_mat(:,1).*bc_mat(:,2)), ...
           - d*A_h_periodic_TRAVEL(h,M) + diag(zeta - bc_mat(:,1).^2 - 3*bc_mat(:,2).^2); ...
           sin(k_1*s) , ...
           d*A_h_periodic_TRAVEL(h,M) + diag(-zeta + 3*bc_mat(:,1).^2 + bc_mat(:,2).^2), ...
           nu_1/k_1/(2*h)*(diag(ones(M-1,1),1) + diag(1,-(M-1)) - diag(ones(M-1,1),-1) - diag(1,M-1)) ...
           + diag(-1+2*bc_mat(:,1).*bc_mat(:,2)) ];          

end

