function todo_inds = remove_constant_solution_from_todo(todo_inds,bc_mat,norms,pars)
% Prüfe (über die Norm der Lösungen), welcher konstanten Lösung aus dem 
% norms-Vektor die Lösung aus bc_mat entspricht und entferne sie aus den
% todo_inds

norm_curr = func_norm_long(bc_mat,pars.h)^2;
% disp(norm_curr)
% disp(norms)
[min_val,ind] = min(abs(norms-norm_curr));
if min_val < 0.02
    if ind == 1
        disp('Rückkehr zur oberen konstanten Lösung für f_1 = 0')
    elseif ind == 2
        disp('Rückkehr zur mittleren konstanten Lösung für f_1 = 0')
    elseif ind == 3
        disp('Rückkehr zur unteren konstanten Lösung für f_1 = 0')
    end
else
    error('Norm passt zu keiner der konstanten Lösungen!')
end
% Entferne entsprechenden Eintrag aus todo_inds
todo_inds = todo_inds(todo_inds ~= ind);

end

