function [bc_mat,f_1,lambda_total] = ...
            resolve_point_on_f1_zero_plane(bc_mat,f_1,zeta,tangent_vector,direction,pars)
% Löse Punkt auf der Ebene f_1 = 0 auf

% Bestimme passende Schrittweite
lambda_total = 0;
while abs(f_1) > 1e-6
    lambda = -f_1/tangent_vector(1);
    [bc_mat,f_1,tangent_vector,~] ...
        = path_tracing_step_f_1(bc_mat,f_1,zeta,tangent_vector,lambda,direction,pars);
    lambda_total = lambda_total + lambda;
%     disp(['Neues f_1: ',num2str(f_1)])
end

disp('Punkt auf Ebene f_1 = 0 aufgelöst')

end

