function [bc_mat,zeta] = adapt_zeta_value(zeta,bc_mat,direction,zeta_final,pars)

% Bestimme Tangentenvektor
tangent_vector = calculate_tangent_vector(pars.f_1,bc_mat,zeta,...
                           pars.d,pars.f_0,pars.k_1,pars.omega,pars.h,...
                           pars.M_zeta,pars.x_short,direction,0);
while abs(zeta-zeta_final) > 0.5e-6
    % BEstimme passende Schrittweite
    lambda = (zeta_final-zeta)/tangent_vector(1);
    % Prädiktorschritt
    [bc_mat,zeta,tangent_vector] ...
        = path_tracing_step(bc_mat,zeta,tangent_vector,lambda,direction,pars);
%     disp(['Schritt mit Schrittweite ',num2str(lambda),...
%           ' erledigt, Abweichung zum gewünschten zeta-Wert: ',num2str(zeta-zeta_final)])
end
disp('Lösung mit gewünschten zeta-Wert berechnet')
zeta = zeta_final;
end

