function [z] = calculate_corrector_update(f_1,bc_mat,zeta,d,f_0,k_1,omega,tau,M,s)
% calculates the corrector update at a given point(zeta,bc_mat)

[Q,R]=qr(transpose(H_complete_jacobian(f_1,bc_mat,zeta,d,f_0,k_1,omega,tau,M,s)));
% --> H'^+(v)=Q*(R^-T;0)
% Berechne zuerst y= R^-T H(v)durch Vorwrtssubstitution: R^T*y=H(v)
y=forward( transpose(R(1:end-1,:)) , H_complete_values(f_1,bc_mat,zeta,d,f_0,k_1,omega,tau,M,s) );
% Berechne danach z=Q*(y;0)
z=Q*[y;0];

end

