function [BifurStructure] = load_first_bifurcation_point(pars)
% Lade den ersten Verzweigungspunkt (mit dem ersten Tangentenvektor) von 
% all den VErzweigungspunkten, die noch zu erledigen sind
filename_bifur_todo = [pars.fld,'/bifurcation_points_todo.mat'];
load(filename_bifur_todo)
if length(bifurcation_points_todo.zetas)>0
    BifurStructure.bc_mat = [bifurcation_points_todo.b_values(:,1),...
                            bifurcation_points_todo.c_values(:,1)];
    BifurStructure.zeta = bifurcation_points_todo.zetas(1);
    BifurStructure.tangent_vector = bifurcation_points_todo.tangent_vectors{1}{1};
    BifurStructure.direction = bifurcation_points_todo.tangent_directions{1}(1);
    BifurStructure.level = bifurcation_points_todo.levels(1);
else
    % Kein Verzweigungspunkt mehr übrig
    BifurStructure = [];
end
end

