function [zeta,bc_mat,direction] = load_solution(index,branch,pars)

% Lade point_vecs des Pfades konstanter Lösungen
fld = [pars.fld,'/path_one_mode_constant_solutions'];
load([fld,'/point_vecs.mat'],'point_vecs')

% Lade entsprechendes file
filename = [fld,'/point_',num2str(index-1,'%03i'),'_',branch,'_zeta_',num2str(point_vecs.zetas(index),'%+0.6f'),'.mat'];
load(filename,'zeta','bc_mat','direction')

disp('Lösung mit ungefähr gewünschtem zeta-Wert geladen')
end

