function p=cLLinit(p,ax,bx,nx,par) % (generic) init routine for cGL problem 
p=stanparam(p); %screenlayout(p); % set standard parameters and screenlayout 
p.nc.neq=2; p.sw.sfem=-1; 
p.fuha.sG=@sG; p.fuha.sGjac=@sGjac; %p.fuha.e2rs=@e2rs; p.fuha.outfu=@hobra; 
p.fuha.spjac=@spjac; 

pde=stanpdeo1Db(ax,bx,(bx-ax)/nx); % stanpdeo1Db für beliebiges Intervall, also nicht unbedingt symmetrisch um 0!!

p.pdeo=pde; p.np=pde.grid.nPoints; p.nu=p.np*p.nc.neq; p.sol.xi=1/p.nu;  
p=setfemops(p);
p.nc.ilam=4; p.sw.foldcheck=1; p.sw.bifcheck=1;
%p.nc.neig=20; p.nc.mu1=0.5; % be relaxed about possible bif-detection
p.nc.nsteps=150; p.nc.lammax=10000; p.nc.lammin=-10000;  % user-vals for output
p.plot.auxdict={'d','\zeta','f_0','f_1','\omega_1','\epsilon','||u||_2','||u||_2^2'}; 
%p.plot.bpcmp=0;  
p.file.smod=1;
p.nc.ntot=60000; % total maximal # of continuation steps
p.sol.ds=0.01; p.nc.dsmax=0.01; p.nc.dsmin=-0.01;  % saving, stepsize, max stepsize 
u=1*ones(p.np,1); v=-1*ones(p.np,1); p.u=[u;v; par]; % initial guess (here trivial) and pars 
%p.sw.bcper=1; p=box2per(p);
p.plot.pcmp=[1 2]; 
p.plot.bpcmp=8;
p.fuha.outfu=@OUTPUT;

