function [tangent_vector] ...
    = calculate_tangent_vector_f_1(f_1,bc_mat,zeta,direction,pars,secondlast)
% Falls secondlast == 1 verwende die vorletzte Spalte als Tangentenvektor,
% nicht die letzte.

% Vorbereitung: Berechne QR-Zerlegung von H'-transponiert an der bisherigen
% Stelle (gespeichert in bc_mat)
[Q,R]=qr(transpose(H_complete_jacobian_f_1(f_1,bc_mat,zeta,pars.d,pars.f_0,pars.k_1,pars.omega,pars.h,pars.M_f_1,pars.x_long)));
% Berechne Determinante der erweiterten Matrix
det_augmented = det(Q)*prod(diag(R));
% Lese Tangentenvektor ab
if secondlast == 1
    tangent_vector=Q(:,end-1)*sign(det_augmented)*direction;
else
    tangent_vector=Q(:,end)*sign(det_augmented)*direction;
end

end

