function [tangent_vector_new,direction] ...
    = choose_straight_direction_at_bifurcation_point(tangent_vector,f_1_new,f_1,bc_mat_new,zeta,pars)

direction = 1;
tangent_vector_mat = zeros(2*pars.M_f_1+1,4);
directions = [1,-1,1,-1];
%% Alle Tangentenvektoren, die in Frage kommen
% Tangentenvektoren aus erster Spalte von Q
tangent_vector_mat(:,1) = calculate_tangent_vector_f_1(f_1_new,bc_mat_new,...
                                                    zeta,direction,pars,0);
tangent_vector_mat(:,2) = - tangent_vector_mat(:,1);
% Tangentenvektoren aus zweite Spalte von Q
tangent_vector_mat(:,3) = calculate_tangent_vector_f_1(f_1_new,bc_mat_new,...
                                                    zeta,direction,pars,1);
tangent_vector_mat(:,4) = - tangent_vector_mat(:,3);

% if f_1_new * f_1 < 0 % VZ-WEchsel, Ebene f_1 = 0 durchschritten
%     %% Suche denjenigen Index der aus f_1 = 0 raus führt
%     if f_1 < 0 % Neuer f_1-WErt soll größer Null sein
%         disp('Derjenige Tangentenvektor, der in die Ebene f_1 > 0 weiter führt, wird ausgesucht.')
%         max_f_1 = -100;
%         for ind = 1:4
%             disp(['Dieser f_1-Wert: ',num2str(tangent_vector_mat(1,ind))])
%             if tangent_vector_mat(1,ind) > max_f_1
%                 top_ind = ind;
%                 max_f_1 = tangent_vector_mat(1,ind);
%             end
%         end
%     else
%         disp('Derjenige Tangentenvektor, der in die Ebene f_1 < 0 weiter führt, wird ausgesucht.')
%         min_f_1 = 100;
%         for ind = 1:4
%             disp(['Dieser f_1-Wert: ',num2str(tangent_vector_mat(1,ind))])
%             if tangent_vector_mat(1,ind) < min_f_1
%                 top_ind = ind;
%                 min_f_1 = tangent_vector_mat(1,ind);
%             end
%         end
%     end
%     disp(['Bester f_1-Wert: ',num2str(tangent_vector_mat(1,top_ind))])
% else
    %% Suche denjenigen Index mit geringstem Winkel zu altem Tangentenvektor
    disp('Derjenige Tangentenvektor, der "geradeaus" weiter führt, wird ausgesucht.')
    min_angle = 2*pi;
    v = tangent_vector;
    for ind = 1:4
        u = tangent_vector_mat(:,ind); 
        angle = acos(dot( u/norm(u) , v/norm(v) ));
        % disp(['Winkel zwischen altem und diesem TV: ',num2str(angle/pi*180)])
        if angle < min_angle
            top_ind = ind;
            min_angle = angle;
        end
    end
    disp(['Winkel zwischen altem und "bestmöglichem" neuem Tangentenvektor: ',num2str(min_angle/pi*180),'°'])
% end

%% Wähle entsprechenden TV aus und gebe ihn zurück
tangent_vector_new = tangent_vector_mat(:,top_ind);
direction = directions(top_ind);

end

