function [point_vecs] = save_new_point_f_1(f_1,zeta,bc_mat,direction,...
                                       point_vecs,filename_vecs,...
                                       k,fld,pars)
% Add a new point of the path to the point_vecs structure
% and save it as a file

% by default, a path is considered as not finished. Only in the main path
% tracing function, the variable path_completed might be set to true.


%% Add point to point_vecs
point_vecs = add_point_to_path_vecs_f_1(zeta,bc_mat,f_1,direction,point_vecs,pars);
path_completed = false;
save(filename_vecs,'point_vecs','path_completed')

%% Save point as file
filename = [fld,'/point_',num2str(k,'%03i'),'_f_1_',num2str(f_1,'%+0.4f'),'.mat'];
save(filename,'bc_mat','f_1','zeta','direction')

end

