function point_vecs = add_point_to_path_vecs(zeta,bc_mat,f_1,direction,point_vecs,pars)
% Ergänze den Punkt aus den Eingabeparametern in der point_vecs structure.
% Falls point_vecs leer ist, muss diese erst erstellt werden.

if isempty(point_vecs)
    point_vecs.zetas = zeta;
    point_vecs.norms = func_norm(bc_mat,pars.h)^2;
    point_vecs.f1s = f_1;
    point_vecs.directions = direction;
else
    point_vecs.zetas(end+1) = zeta;
    point_vecs.norms(end+1) = func_norm(bc_mat,pars.h)^2;
    point_vecs.directions(end+1) = direction;
    point_vecs.f1s(end+1) = f_1;
end

end