function [tangent_vector] = calculate_tangent_vector(f_1,bc_mat,zeta,d,f_0,k_1,omega,tau,M,s,direction,secondlast)
% Falls secondlast == 1 verwende die vorletzte Spalte als Tangentenvektor,
% nicht die letzte.

% Vorbereitung: Berechne QR-Zerlegung von H'-transponiert an der bisherigen
% Stelle (gespeichert in bc_mat)
[Q,R]=qr(transpose(H_complete_jacobian(f_1,bc_mat,zeta,d,f_0,k_1,omega,tau,M,s)));
% Berechne Determinante der erweiterten Matrix
det_augmented = det(Q)*prod(diag(R));
% Lese Tangentenvektor ab
if secondlast==1
    tangent_vector=Q(:,end-1)*sign(det_augmented)*direction;
else
    tangent_vector=Q(:,end)*sign(det_augmented)*direction;
end

end

