function [bifurcation_points,bifurcation_points_todo,filename_bifur,filename_bifur_todo] ...
    = create_bifurcation_structures(pars)

filename_bifur = [pars.fld,'/bifurcation_points.mat'];
filename_bifur_todo = [pars.fld,'/bifurcation_points_todo.mat'];
if exist(filename_bifur,'file')>0
    load(filename_bifur)
    load(filename_bifur_todo)
else
    bifurcation_points.zetas = [];
    bifurcation_points.norms = [];
    bifurcation_points.b_values = [];
    bifurcation_points.c_values = [];
    bifurcation_points.f1s = [];
    bifurcation_points.levels = []; % 
    bifurcation_points_todo = bifurcation_points;
    bifurcation_points_todo.num_possible_directions = [];
    bifurcation_points_todo.tangent_directions = {};
    bifurcation_points_todo.tangent_vectors = {};
    save(filename_bifur,'bifurcation_points')
    save(filename_bifur_todo,'bifurcation_points_todo')
end

end