function [fld,filename_vecs] = create_folder(pars,bifurcation_mode,level)
% In welchem Ordner sollen die Punkte des Pfades gespeichert werden?
 
if bifurcation_mode == 0 % Pfad mit konstanten Lösungen
    fld = [pars.fld,'/path_one_mode_constant_solutions'];
    if exist(fld,'dir')==0
        mkdir(fld)
%     else % schon existent?
%         if exist([fld,'/point_vecs.mat'],'file') > 0
%             disp('Achtung! Pfad konstanter Lösungen existiert schon und würde jetzt überschieben werden!')
%             disp('Weitermachen?')
%             keyboard()
%         end
    end
else % Verzweigungspfad
    i = 1;
    if level == 1
        basefld = [pars.fld,'/path_one_mode_primary_bifurcation_'];
    elseif level == 2
        basefld = [pars.fld,'/path_one_mode_secondary_bifurcation_'];
    else
        error('Tertiary bifurcations not defined yet.')
    end
    % Neuen Index hinten erstellen
    fld = [basefld,num2str(i)];
    while exist([fld,'/point_vecs.mat'],'file')>0
        load([fld,'/point_vecs.mat'],'path_completed')
        if path_completed % Versuche es mit nächstem Index hinten --> Foldername noch frei?
            i = i+1;
            fld = [basefld,num2str(i)];
        else
            break
        end
    end
    % Ordner erstellen
    if exist(fld,'dir') == 0
        mkdir(fld)
    end
end

% Pfad-Punkte-Vektoren
filename_vecs = [fld,'/point_vecs.mat'];

end

