function [] = delete_first_bifurcation_point(pars)
% Entferne den ersten Tangentenvektor des ersten Verzweigungspunktes oder,
% falls kein Tangentenvektor mehr übrig, den ganzen Punkt
filename_bifur_todo = [pars.fld,'/bifurcation_points_todo.mat'];
load(filename_bifur_todo)
bifurcation_points_todo.num_possible_directions(1) = bifurcation_points_todo.num_possible_directions(1) - 1;

if bifurcation_points_todo.num_possible_directions(1) == 0
    % no more tangent_vectors: delete bifurcation point
    bifurcation_points_todo.b_values(:,1) = [];
    bifurcation_points_todo.c_values(:,1) = [];
    bifurcation_points_todo.zetas(1) = [];
    bifurcation_points_todo.norms(1) = [];
    bifurcation_points_todo.f1s(1) = [];
    bifurcation_points_todo.num_possible_directions(1) = [];
    bifurcation_points_todo.tangent_vectors(1) = [];
    bifurcation_points_todo.tangent_directions(1) = [];
    bifurcation_points_todo.levels(1) = [];
    save(filename_bifur_todo,'bifurcation_points_todo')
else
    % delete this tangent_vector from this bifurcation point
    bifurcation_points_todo.tangent_vectors{1}(1) = [];
    bifurcation_points_todo.tangent_directions{1}(1) = [];
    save(filename_bifur_todo,'bifurcation_points_todo')
end

end

